Bug 229977 - Symbolic link "gnome-monitor.png" needs to be replaced by "utilities-system-monitor.png"
Symbolic link "gnome-monitor.png" needs to be replaced by "utilities-system-m...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-25 06:00 EST by Joachim Frieben
Modified: 2013-03-05 22:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 06:56:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2007-02-25 06:00:35 EST
+++ This bug was initially created as a clone of Bug #221757 +++

Description of problem:
When the "Bluecurve" icon them is chosen, the icon associated
with "gnome-system-monitor" is "utilities-system-monitor"
according to the desktop file. However, there is no counterpart
in "redhat-artwork", and accordingly, the stock "GNOME" icon is
used.

Version-Release number of selected component (if applicable):
redhat-artwork-5.0.8-4.fc6

How reproducible:
Always

Steps to Reproduce:
1. Log in to "GNOME" session.
2. Choose icon theme "Blucurve".
3. Go to menu item "System > Administration > System monitor".
  
Actual results:
A stock "GNOME" icon is displayed.

Expected results:
The equivalent "Bluecurve" icon is used.

Additional info:
The icon associated with "gnome-system-monitor" in the desktop file was
"gnome-monitor" up to "FC5". In the meantime, the icon name has been
changed to "utilities-system-monitor" in "gnome-system-monitor.desktop"
but not in the icon theme. Instead of the link

  /usr/share/icons/Bluecurve/24x24/apps/gnome-monitor.png ->
    icon-systemhealth.png

we should now have a link

  /usr/share/icons/Bluecurve/24x24/apps/utilities-system-monitor.png ->
    icon-systemhealth.png

in the "redhat-artwork" package.

-- Additional comment from mclasen@redhat.com on 2007-02-02 02:28 EST --
This points to the need for some ongoing Bluecurve maintainence wrt to icon
naming spec coverage.

-- Additional comment from mclasen@redhat.com on 2007-02-23 00:58 EST --
fixed in 5.0.10-2.fc7
Comment 1 Joachim Frieben 2007-08-13 04:45:03 EDT
Is there a chance to have this fixed before EOL of FC6? There are four
prominent menu items for which the link is set in a wrong manner:

  Applications > System Tools > Software Updater [Bug 208698]
  Places > CD/DVD Creator [Bug 230002]
  System > Preferences > Screensaver
  System > Administration > System Monitor [Bug 229977]

For F7 and later, the last one is fixed but the others are not. The
required icons are provided by the 'Blucurve' icon set, as can be
seen by logging in to an FC5 desktop. It is thus essentially a matter
of choosing the correct entries in the respective *.desktop files.
Comment 2 Bug Zapper 2008-04-04 02:21:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.